package demo.jaxrs.precash;


import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "Product")
public final class Product {
	private Long barcode;
	private String name;
	private Long price;

	public Long getBarcode() {
		return barcode;
	}

	public void setBarcode(Long barcode) {
		this.barcode = barcode;
	}

	public Long getPrice() {
		return price;
	}

	public void setPrice(Long price) {
		this.price = price;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getName() {
		return name;
	}

	public Product(String name, Long barcode, Long price) {
		super();
		this.name = name;
		this.barcode = barcode;
		this.price = price;
	}
	
	public Product() {
		super();
		this.name = new String("Undefined");
		this.barcode = new Long(0);
		this.price = new Long(0);
	}

}
