package demo.jaxrs.precash;

import java.util.ArrayList;
import java.util.List;


import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "Shop")
public class Shop {
	private List<Cart> carts;

	public List<Cart> getCarts() {
		return carts;
	}

	public void setCarts(List<Cart> carts) {
		this.carts = carts;
	}

	public Shop(List<Cart> carts) {
		super();
		this.carts = carts;
	}
	
	public Shop() {
		super();
		this.carts = new ArrayList<Cart>();
	}
	
	public long totalPrice(Cart specifiedCart){	
		return (specifiedCart.totalPrice());		
	}	
	
	public long totalPrice(){
		long total = 0;
		for (Cart cart : carts) {
			total += totalPrice(cart);
		}
		
		return (total);
	}
	
}
