package demo.jaxrs;

import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;

import demo.jaxrs.precash.Cart;
import demo.jaxrs.precash.Item;
import demo.jaxrs.precash.Product;

@Path("/saleservice/")
@Produces("text/xml")
public interface SaleService {

    public static final Long REGISTER_CODE = new Long(1);
  
    @GET
    @Path("/products/{barcode}/")
    public Product getProduct(@PathParam("barcode") String id);
    
    @POST
    @Path("/carts/")
    public String addCart(Cart cart);
}
